Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class FlatRecordTypeFactoryImpl

    java.lang.Object
      com.servingxml.components.flatfile.recordtype.FlatRecordTypeFactoryImpl

All Implemented Interfaces:
  FlatRecordFieldFactory, FlatRecordTypeFactory

    public class FlatRecordTypeFactoryImpl

extends java.lang.Object
implements FlatRecordTypeFactory

Class for flat file record type objects.

Constructor Summary
`FlatRecordTypeFactoryImpl(NameSubstitutionExpr recordTypeNameExpr, FlatRecordFieldFactory[] fieldTypeFactories, IntegerSubstitutionExpr recordLengthExpr, FlatFileOptionsFactory flatFileOptionsFactory)`

Method Summary
`void` | `appendFlatRecordField(ServiceContext context, Flow flow, FlatFileOptions defaultOptions, java.util.List<FlatRecordField> flatRecordFieldList)`
`FlatRecordType` | `createFlatRecordType(ServiceContext context, Flow flow, FlatFileOptions defaultOptions)`
`boolean` | `isBinary()`
`boolean` | `isFieldDelimited()`
`boolean` | `isText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatRecordTypeFactoryImpl

    public FlatRecordTypeFactoryImpl(NameSubstitutionExpr recordTypeNameExpr,
                                     FlatRecordFieldFactory[] fieldTypeFactories,
                                     IntegerSubstitutionExpr recordLengthExpr,
                                     FlatFileOptionsFactory flatFileOptionsFactory)

Method Detail

### createFlatRecordType

    public FlatRecordType createFlatRecordType(ServiceContext context,
                                               Flow flow,
                                               FlatFileOptions defaultOptions)

  Specified by:
    `createFlatRecordType` in interface `FlatRecordTypeFactory`

### appendFlatRecordField

    public void appendFlatRecordField(ServiceContext context,
                                      Flow flow,
                                      FlatFileOptions defaultOptions,
                                      java.util.List<FlatRecordField> flatRecordFieldList)

  Specified by:
    `appendFlatRecordField` in interface `FlatRecordFieldFactory`

### isFieldDelimited

    public boolean isFieldDelimited()

  Specified by:
    `isFieldDelimited` in interface `FlatRecordFieldFactory`
  Specified by:
    `isFieldDelimited` in interface `FlatRecordTypeFactory`

### isBinary

    public boolean isBinary()

  Specified by:
    `isBinary` in interface `FlatRecordFieldFactory`
  Specified by:
    `isBinary` in interface `FlatRecordTypeFactory`

### isText

    public boolean isText()

  Specified by:
    `isText` in interface `FlatRecordFieldFactory`
  Specified by:
    `isText` in interface `FlatRecordTypeFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD